<?php
/**
 * Template file for badges
 *
 * @package buddpress-user-badges
 */

// No direct access.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$path                = bp_user_badges()->path . 'src/admin/templates/';
$enabled_badge_types = (array) bp_user_badges_get_option( 'enabled_badge_types' );

?>
<div class="wrap" id="bp-user-badges-wrap">
    <h1><?php echo __( 'Badges', 'buddypress-user-badges' ); ?></h1>
	<div id="badges">
		<?php require_once $path . 'custom-badges.php'; ?>

		<?php if ( in_array( 'role', $enabled_badge_types, true ) ) : ?>
			<?php require_once $path . 'role-badges.php'; ?>
		<?php endif; ?>
		
		<?php if ( in_array( 'member_type', $enabled_badge_types, true ) ) : ?>
			<?php require_once $path . 'member-type-badges.php'; ?>
		<?php endif; ?>
	</div>
</div>
