<?php

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

?>
<div class="bp-user-badges-shortcode-wrap bp-user-badges-shortcode-<?php echo esc_attr( $badge_slug ); ?>">

	<?php if ( bp_has_members( array( 'include' => $user_ids ) ) ) : ?>

		<ul class="item-list bp-user-badges-shortcode-users-list bp-user-badges-shortcode-badge-<?php echo esc_attr( $badge_slug);?>-users-list bp-user-badges-shortcode-view-<?php echo esc_attr($view );?>" >

			<?php while ( bp_members() ) : bp_the_member(); ?>

				<li class="vcard">
					<div class="item-avatar">
						<a href="<?php bp_member_permalink() ?>" class="bp-tooltip" data-bp-tooltip="<?php bp_member_name(); ?>"><?php bp_member_avatar(); ?></a>
					</div>

					<div class="item">
						<div class="item-title fn"><a href="<?php bp_member_permalink(); ?>"><?php bp_member_name(); ?></a></div>
					</div>
				</li>

			<?php endwhile; ?>

		</ul>

	<?php else: ?>

		<p><?php _e( 'No member found.', 'buddypress-user-badges' ); ?></p>

	<?php endif; ?>

</div>
