<?php

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

?>
<div class="bp-user-badges-shortcode-wrap bp-user-badges-shortcode-<?php echo esc_attr( $badge_slug ); ?>">

	<?php if ( bp_has_members( array( 'include' => $user_ids ) ) ) : ?>


		<div class="item-list bp-user-badges-shortcode-users-list bp-user-badges-shortcode-badge-<?php echo esc_attr( $badge_slug);?>-users-list bp-user-badges-shortcode-view-<?php echo esc_attr( $view );?>" >
			<div class="avatar-block">

			<?php while ( bp_members() ) : bp_the_member(); ?>
				<div class="item-avatar">
					<a href="<?php bp_member_permalink() ?>" class="bp-tooltip" data-bp-tooltip="<?php bp_member_name(); ?>"><?php bp_member_avatar(); ?></a>
				</div>
			<?php endwhile; ?>
			</div>
		</div>

	<?php else : ?>

		<p><?php _e( 'No member found.', 'buddypress-user-badges' ); ?></p>

	<?php endif; ?>

</div>
